Bug 479069 - installing package kernel-2.6.29-0.12.rc0.git7.fc11.x86_64 needs 728MB on the / filesystem
installing package kernel-2.6.29-0.12.rc0.git7.fc11.x86_64 needs 728MB on the...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 15:56 EST by Valdis Kletnieks
Modified: 2009-02-28 14:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 14:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2009-01-06 15:56:13 EST
Description of problem:
Yum fails with the error message:
Transaction Check Error:
  installing package kernel-2.6.29-0.12.rc0.git7.fc11.x86_64 needs 728MB on the / filesystem

Investigation with rpm2cpio reveals that *every single* .ko file is over 512K
in size:

-rwxr--r--   1 root     root       545192 Jan  5 14:12 ./lib/modules/2.6.29-0.12.rc0.git7.fc11.x86_64/kernel/arch/x86/cryp
to/aes-x86_64.ko

For comparison, here's the same module from a -mm kernel:
 -rw-r--r-- 1 root root 21253 2009-01-02 03:04 /lib/modules/2.6.28-mmotm1230/kernel/arch/x86/crypto/aes-x86_64.ko



Version-Release number of selected component (if applicable):
kernel-2.6.29-0.12.rc0.git7.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.